Name: freetype
Version: 2.10.4
Release: 1
License: FTL
Summary: Software library to render fonts
Url: https://www.freetype.org

BuildRequires: zlib-devel

Source0: http://download.savannah.gnu.org/releases/freetype/freetype-%{version}.tar.gz


%description
FreeType is a freely available software library to render fonts.

It is written in C, designed to be small, efficient, highly customizable, and
portable while capable of producing high-quality output (glyph images) of most
vector and bitmap font formats.

%package -n libfreetype6
Summary: Software library to render fonts

%description -n libfreetype6
FreeType is a freely available software library to render fonts.

It is written in C, designed to be small, efficient, highly customizable, and
portable while capable of producing high-quality output (glyph images) of most
vector and bitmap font formats.

%package devel
Summary: libfreetype development files
Requires: libfreetype6 = %{version}

%description devel
libfreetype development files


%prep
%setup -q

%build

%configure \
  CPPFLAGS="-I%{_includedir}" \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
  --host=powerpc-ibm-aix6 \
  --with-aix-soname=svr4 \
  --enable-shared \
  --disable-static
  # end

%make_build

%install

%make_install

find %{buildroot}/%{_libdir} -name \*.la | xargs rm

%files -n libfreetype6
%defattr(-, qsys, *none)

%license docs/FTL.TXT
%license docs/LICENSE.TXT

%{_libdir}/libfreetype.so.6

%files devel
%defattr(-, qsys, *none)

%doc README
%doc docs/PROBLEMS
%doc docs/CHANGES
%doc docs/VERSIONS.TXT
%doc docs/formats.txt
 
%{_libdir}/libfreetype.so

%{_libdir}/pkgconfig/freetype2.pc

%{_includedir}/*

%{_datadir}/aclocal/freetype2.m4


%changelog
* Wed Nov 11 2020 Naveen Ram <naveen.ram@ibm.com> - 2.10.4
- Update to version 2.10.4 for CVE-2020-15999

* Thu Apr 23 2020 Kevin Adler <kadler@us.ibm.com> - 2.10.1
- Upgrade to 2.10.1
- Remove freetype-config since it's disabled by default; use pkg-config instead.

* Tue Jan 7 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 2.8.1
- Update to version 2.8.1

* Thu Nov 28 2019 Kevin Adler <kadler@us.ibm.com> - 2.7
- Use SPDX license identifier
- Line wrap the description and improve summary

* Tue Mar 06 2018 - Kevin Adler <kadler@us.ibm.com>
- Fix summary and description
- Use configure macro
- Move shared library to libfreetype6 package

* Mon Mar 05 2018 - mengxumx <mengxumx@cn.ibm.com>
- Initial spec file

